Summary: PAM module for use with SSH keys and ssh-agent
Name: pam_ssh
Version: 2.3
Release:    1%{?dist}
License: BSD
URL: http://sourceforge.net/projects/pam-ssh/
Source0: http://downloads.sourceforge.net/pam-ssh/pam_ssh-%{version}.tar.xz
BuildRequires: make
BuildRequires: pam-devel, openssh-clients, openssl-devel, libtool
BuildRequires: systemd-units
Requires: openssh-clients
Conflicts: selinux-policy-targeted < 3.0.8-55
Patch0: pam_ssh-2.3-rundir.patch
Patch1: pam_ssh-2.3-inexistent_directory.patch


%description
This PAM module provides single sign-on behavior for UNIX using SSH keys. 
Users are authenticated by decrypting their SSH private keys with the 
password provided. In the first PAM login session phase, an ssh-agent 
process is started and keys are added. The same agent is used for the
following PAM sessions. In any case the appropriate environment variables
are set in the session phase.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

autoreconf -f -si


%build
CFLAGS="$RPM_OPT_FLAGS -fcommon"
%configure  --with-pam-dir=/%{_lib}/security/
make clean

cat >>pam_ssh.sym <<EOF
pam_sm_acct_mgmt
pam_sm_authenticate
pam_sm_chauthtok
pam_sm_close_session
pam_sm_open_session
pam_sm_setcred
EOF

make %{?_smp_mflags} LDFLAGS='-export-symbols pam_ssh.sym'


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

rm -f %{buildroot}/%{_lib}/security/*.la

install -d %{buildroot}%{_tmpfilesdir}
cat <<EOF >%{buildroot}%{_tmpfilesdir}/%{name}.conf
D %{_rundir}/pam_ssh 0755 root root -
EOF

install -d -m 755 %{buildroot}%{_rundir}/pam_ssh



%files
/%{_lib}/security/*.so
%dir %{_rundir}/pam_ssh
%{_tmpfilesdir}/%{name}.conf
%doc AUTHORS NEWS README ChangeLog TODO
%license COPYING
%{_mandir}/*/*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3-1
- initial build
